API documentation | API docs for agents | OpenAPI 3.1
GET /api/v1/customers/{customerId}
ark.get_customer
Returns one visible customer by ID.
- Availability
- Core preview
- Scopes
customers:read- ARK permissions
canViewCustomers- Team visibility
- Required and enforced
- Idempotency-Key
- Not required
- Approval
- No MCP approval on REST API-token calls
- Rate limit
- API credential and organization budgets
Parameters
customerIdpathstringrequired- format: uuid
Request body
None.
Example request
Shell
curl 'https://arktms.com/api/v1/customers/<customerId>' \
-H "Authorization: Bearer $ARK_API_TOKEN"Success response
Get customer
objectstringrequiredone of: api_response
okbooleanrequiredone of: true
api_versionstringrequiredone of: 2026-05-31
request_idstringrequireddataobjectrequireddata.idstringrequiredformat: uuid
data.namestring | nullrequireddata.codestring | nullrequireddata.typestring | nullrequireddata.notesstring | nullrequireddata.businessHoursOpenstring | nullrequireddata.businessHoursClosestring | nullrequireddata.paymentTermIdstring | nullrequiredformat: uuid
data.countrystringrequiredone of: USA, CAN, MEX
data.defaultCurrencystringrequiredone of: USD, CAD, MXN
data.trackingEmailstring | nullrequireddata.teamIdsarray<string>requireddata.createdAtstringrequiredformat: date-time
data.modifiedAtstring | nullrequiredformat: date-time
data.defaultInvoiceRemitProfileIdstring | nullrequiredformat: uuid
data.defaultInvoiceRemitProfileobject | nullrequiredErrors
HTTP 400- Invalid request
HTTP 401- Authentication required
HTTP 403- Permission, scope, team, or entitlement denied
HTTP 404- Resource not found